Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Class ACLEntry

    java.lang.Object
      com.plumtree.remote.crawler.ACLEntry

public class ACLEntry
extends java.lang.Object

JavaBean representing a security domain and user or group.

Version:
  1.1

Constructor Summary
`ACLEntry()` Default constructor.
`ACLEntry(java.lang.String domain, java.lang.String name)` Valued constructor.

Method Summary
`java.lang.String` | `getDomain()` Gets the domain of the user or group represented by the `ACLEntry`.
`java.lang.String` | `getName()` Gets the name of the user or group represented by the `ACLEntry`.
`void` | `setDomain(java.lang.String domain)` Sets the domain of the user or group represented by the `ACLEntry`.
`void` | `setName(java.lang.String name)` Sets the name of the user or group represented by the `ACLEntry`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ACLEntry

    public ACLEntry()

  Default constructor.

### ACLEntry

    public ACLEntry(java.lang.String domain,
                    java.lang.String name)

  Valued constructor.

Parameters:
  `domain` - the domain of the user or group represented by the `ACLEntry`.
  `name` - the name of the user or group represented by the `ACLEntry`

Method Detail

### getDomain

    public java.lang.String getDomain()

  Gets the domain of the user or group represented by the `ACLEntry`.

  Returns:
    the domain of the user or group represented by the `ACLEntry`

### setDomain

    public void setDomain(java.lang.String domain)

  Sets the domain of the user or group represented by the `ACLEntry`.

  Parameters:
    `domain` - the domain of the user or group represented by the `ACLEntry`

### getName

    public java.lang.String getName()

  Gets the name of the user or group represented by the `ACLEntry`.

  Returns:
    the name of the user or group represented by the `ACLEntry`

### setName

    public void setName(java.lang.String name)

  Sets the name of the user or group represented by the `ACLEntry`.

  Parameters:
    `name` - the name of the user or group represented by the `ACLEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.